Creates a new pay condition comparison for the specified employee.
POST http:///api/v2/business/{businessId}/employee/{employeeId}/payconditionscomparison
| Parameter name | Value | Description | Additional |
|---|---|---|---|
| businessId | string | Required | |
| employeeId | string | Required |
The request body takes a complete CreatePayConditionComparisonRequest resource, containing the following writable properties:
{
"awardPackageId": "int32",
"comparisonStartDate": "date-time",
"comparisonStartDateType": "string",
"employmentAgreementId": "int32",
"tagIds": [
"int32"
]
}
| Name | Type | Description |
|---|---|---|
| awardPackageId | int32 | Int32 |
| comparisonStartDate | date-time |
Nullable |
| comparisonStartDateType | string |
Nullable Possible values are:
|
| employmentAgreementId | int32 | Int32 |
| tagIds[] | array of int32 |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code | Description | Resource |
|---|---|---|
| 200 | OK OK |
PayConditionComparisonApiModel |
Powered by DapperDox